/**
 * 
 */
package org.gcube.informationsystem.resourceregistry.query;

import org.gcube.informationsystem.resourceregistry.ContextTest;
import org.gcube.informationsystem.resourceregistry.api.exceptions.query.InvalidQueryException;
import org.gcube.informationsystem.resourceregistry.api.rest.AccessPath;
import org.gcube.informationsystem.resourceregistry.query.QueryImpl;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR)
 *
 */
public class QueryTest extends ContextTest {

	private static Logger logger = LoggerFactory.getLogger(QueryTest.class);
	
	@Test
	public void testQuery() throws InvalidQueryException{
		QueryImpl queryImpl = new QueryImpl();
		
		String query = "select from SoftwareFacet";
		String ret = queryImpl.query(query, -7, AccessPath.DEFAULT_FETCH_PLAN_PARAM, false);
		
		logger.debug(ret);
		
		ret = queryImpl.query(query, -7, null, false);
		
		logger.debug(ret);
	}
	
}
